Xapian: API Documentation: Xapian::InvalidOperationError Class Reference

Public Member Functions | List of all members
Xapian::InvalidOperationError Class Reference

InvalidOperationError indicates the API was used in an invalid way. More...

Inheritance diagram for Xapian::InvalidOperationError:
[legend]

## Public Member Functions
| InvalidOperationError (const std::string &msg_, const std::string &context_=std::string(), int errno_=0)
| General purpose constructor. More...
| InvalidOperationError (const std::string &msg_, int errno_)
| Construct from message and errno value. More...
Public Member Functions inherited from Xapian::Error
const char * | get_type () const
| The type of this error (e.g. "DocNotFoundError".)
const std::string & | get_msg () const
| Message giving details of the error, intended for human consumption.
const std::string & | get_context () const
| Optional context information. More...
const char * | get_error_string () const
| Returns any system error string associated with this exception. More...
std::string | get_description () const
| Return a string describing this object.

## Detailed Description

InvalidOperationError indicates the API was used in an invalid way.

## Constructor & Destructor Documentation

## ◆ InvalidOperationError() [1/2]

Xapian::InvalidOperationError::InvalidOperationError | ( | const std::string & | msg_,
|  | const std::string & | context_ = `std::string()`,
|  | int | errno_ = `0`
| ) |  |
| inlineexplicit

General purpose constructor.

Parameters

  msg_ | Message giving details of the error, intended for human consumption.
  context_ | Optional context information for this error.
  errno_ | Optional errno value associated with this error.

## ◆ InvalidOperationError() [2/2]

Xapian::InvalidOperationError::InvalidOperationError | ( | const std::string & | msg_,
|  | int | errno_
| ) |  |
| inline

Construct from message and errno value.

Parameters

  msg_ | Message giving details of the error, intended for human consumption.
  errno_ | Optional errno value associated with this error.

The documentation for this class was generated from the following file:

- xapian/error.h